%define fvwm_ewmh 0
%define wmconfig 0
%define libstroke_version 0.5.1
Summary: An improved version of the FVWM window manager for X.
Name: fvwm2
Version: 2.4.16
Release: 1
Source0: ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.bz2
Source1: fvwm-2.0.46.icons.tar.gz
Source2: system.fvwm2rc.ja
Source3: https://sourceforge.net/projects/fvwm-ewmh/fvwm-ewmh-0.6.tar.bz2
Source4: http://www.etla.net/libstroke/libstroke-%{libstroke_version}.tar.bz2
Patch0: fvwm-2.4.2-redhat.patch
License: GPL
Group: User Interface/Desktops
Buildroot: %{_tmppath}/%{name}-root
Packager: John Latham <jtl@cs.man.ac.uk>
Vendor: John Latham, M.U.C.S.
Requires: fvwm2-icons
%if %{wmconfig}
Requires: wmconfig
%endif
Url: http://www.fvwm.org
Obsoletes: fvwm95
Excludearch: alpha

%description
FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an improved version of the FVWM window
manager for the X Window System and shares the same characteristics as
FVWM.  

Install the fvwm2 package if you'd like to use the FVWM2 window manager.
If you install fvwm2, you'll also need to install fvwm2-icons.

The specification file for this package was based on the one from Red Hat's
fvwm2-2.4.6.


%package icons
Summary: Graphics used by the FVWM and FVWM2 window managers.
Group: User Interface/Desktops
Obsoletes: fvwm95-icons

%description icons
The fvwm2-icons package contains icons, bitmaps and pixmaps used by
the FVWM and FVWM2 X Window System window managers.  

You'll need to install fvwm2-icons if you are installing fvwm and/or
fvwm2.

%prep
%setup -q -n fvwm-%{version} -a 1 -a 3 -a 4

%if %{wmconfig}
%patch0 -p1 -b .redhat
%endif

%build

# Ensure that any local version of sh, perl etc, do not get found during
# configurations.
PATH=/bin:/usr/bin:/usr/X11R6/bin

%if %{fvwm_ewmh}
cd fvwm-ewmh-0.6 && ./apply-patch.sh
cd ..
%endif
cd libstroke-%{libstroke_version}
cp /usr/share/libtool/config.* .
%configure --enable-static --disable-shared
make
cd ..
cp /usr/share/libtool/config.* .
%configure \
	--prefix=/usr/X11R6 \
	--datadir=/usr/X11R6/share/fvwm2 \
	--libexecdir=\${prefix}/lib/X11/fvwm2 \
	--sysconfdir=/etc/X11/fvwm2 \
	--disable-debug-msgs \
	--disable-package-subdirs \
	--with-stroke-library=`pwd`/libstroke-%{libstroke_version}/libstroke/.libs/ \
	--with-stroke-includes=`pwd`/libstroke-%{libstroke_version}/libstroke/ \
	--with-iconpath=/usr/share/icons:/usr/share/icons/mini:/usr/include/X11/bitmaps:/usr/include/X11/pixmaps
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT \
	bindir=/usr/X11R6/bin \
	mandir=/usr/X11R6/man \
	sysconfdir=$RPM_BUILD_ROOT/etc/X11/fvwm2 \
	INSTALL_PROGRAM="/usr/bin/install -c"

mkdir -p $RPM_BUILD_ROOT/etc/X11/fvwm2

install -m 644 sample.fvwmrc/system.fvwm2rc \
	$RPM_BUILD_ROOT/etc/X11/fvwm2

%if %{wmconfig}
install -m 644 %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/X11/fvwm2
%endif

rm -rf $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 icons/*.xpm $RPM_BUILD_ROOT/usr/share/icons/
mv $RPM_BUILD_ROOT/usr/share/icons/mini*.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README AUTHORS INSTALL.fvwm NEWS ChangeLog
%doc docs
/usr/X11R6/lib/X11/fvwm2
/usr/X11R6/man/man1/*
/usr/X11R6/bin/*
/usr/X11R6/share/fvwm2
%dir /etc/X11/fvwm2
%config /etc/X11/fvwm2/*

%files icons
%defattr(-,root,root)
%dir %{_datadir}/icons/mini
%{_datadir}/icons/*.xpm
%{_datadir}/icons/mini/*.xpm

%changelog
* Wed Aug 27 2003 John Latham <jtl@cs.man.ac.uk> 2.4.16-1
- update to 2.4.16

* Thu Jan 30 2003 John Latham <jtl@cs.man.ac.uk> 2.4.15-1
- update to 2.4.15

* Mon Sep 23 2002 John Latham <jtl@cs.man.ac.uk> 2.4.11-1
- update to 2.4.11

* Wed Sep 18 2002 John Latham <jtl@cs.man.ac.uk> 2.4.10-1
- update to 2.4.10
- dropped FvwmPager patch

* Mon Sep 09 2002 John Latham <jtl@cs.man.ac.uk> 2.4.9-1
- update to 2.4.9
- wrote FvwmPager patch

* Tue Aug 27 2002 John Latham <jtl@cs.man.ac.uk> 2.5.2-1
- used the Red Hat 2.4.6 package spec file as a basis to build 2.5.2.

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 2.4.6-1
- fixed bug #53030
- remove requires wmconfig

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 18 2001 Than Ngo <than@redhat.com> 2.4.4-1
- update to 2.4.4

* Mon Nov 12 2001 Than Ngo <than@redhat.com> 2.4.3-3
- require wmconfig

* Mon Nov  5 2001 Than Ngo <than@redhat.com> 2.4.3-2
- disable package subdir (bug #54589)
- add some missing FvwmForm-*, FvwmScript-* ...
- build with libstroke

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.4.3-1
- update to 2.4.3

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.4.2-1
- update to 2.4.2 (bug #53030)

* Tue Aug  7 2001 Than Ngo <than@redhat.com>
- add patch from greg@lugs.org.sg (bug #51104)

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- don't own /usr/share/icons dir

* Fri May 25 2001 Helge Deller <hdeller@redhat.de>
- Application icons don't show up unless configured
  with --with-iconpath=/usr/share... (Bug #42230)

* Tue May 21 2001 SATO Satoru <ssato@redhat.com>
- new upstream (2.2.5)
- apply I18N patch
- add Japanese rc file (system.fvwm2rc.ja)

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- fix system.fvwm2rc (Bug #16707)
- disable debug

* Fri Aug 4 2000 Than Ngo than@redhat.de>
- fixed bugs in FvwmTaskBar (Bug #11066) (thanks to jtl@cs.man.ac.uk)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- removed '-s' flag to the install program - broken on sparc

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- 2.2.4

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- added ability to read wmconfig generated menu (# 2665)

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- removed compatibility icon pak.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- 2.2.2 bugfix release

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com> 
- added some icons from kdebase back to this package for upgrade
- compatibility.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- better default system.fvwm2rc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- package is still not finished yet
- upgraded to 2.2, got rid of all the cruft in the spec file

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.0.47
- mark config files as %config files

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- removed duplicate files found in the package Another level.
- fixes bug: 651 

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- long time no new version released :-(. -> misc patch
- major spec file cleanups

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- Fixed more bugs (bugs patch)

* Fri Oct 24 1997 Cristian Gafton <gafton@redhat.com>
- fixed Alpha build

* Thu Oct 16 1997 Cristian Gafton <gafton@redhat.com>
- fixed FvwmTaskBar severe bug (taskbar patch)
- misc fixes

* Mon Oct 13 1997 Cristian Gafton <gafton@redhat.com>
- built against glibc; added -rh and -fixes patches

